/*****************************************************************************
               iris2img - Converts an Iris Tutor file to img file
	Copyright (C) 1997..1999 Walter Fetter Lages <w.fetter@ieee.org>

   This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*****************************************************************************/

#include <fstream.h>
#include <iostream.h>

int main(int argc,char *argv[])
{
	if (argc != 3)
	{
		cout << "\niris2img irisfile imgfile\n";
		cout << "Copyright (C) 1997 Walter Fetter Lages <w.fetter@ieee.org>.\n\n";
		cout << "Converts an Iris Tutor file to img file.\n";
		cout << "The Iris Tutor file should be 512x480.\n\n";
		return -1;
	}

	ifstream irisfile(argv[1],ios::out | ios::bin);
	if (!irisfile)
	{
		cout << "Can't open input file.\n\n";
		return -2;
	}

	ofstream imgfile(argv[2],ios :: out | ios::bin);
	if (!imgfile)
	{
		cout << "Can't open output file.\n\n";
		return -3;
	}
	
	unsigned char *buf=new unsigned char[512*480];
	if(buf==NULL)
	{
		cout << "Not enough memory.\n\n";
		return -4;
	}

	irisfile.read(buf,512*480);

	imgfile.write(buf,512*480);

	delete[] buf;

	return 0;
}

